import request from '@/utils/request'

// 查询轮班日志列表
export function listLog(query) {
  return request({
    url: '/shiftmgr/log/list',
    method: 'get',
    params: query
  })
}
// 查询轮班日志列表
export function getLastData(query) {
  return request({
    url: '/shiftmgr/log/lastData',
    method: 'get',
    params: query
  })
}

// 查询轮班日志详细
export function getLog(id) {
  return request({
    url: '/shiftmgr/log/' + id,
    method: 'get'
  })
}

// 新增轮班日志
export function addLog(data) {
  return request({
    url: '/shiftmgr/log',
    method: 'post',
    data: data
  })
}

// 修改轮班日志
export function updateLog(data) {
  return request({
    url: '/shiftmgr/log',
    method: 'put',
    data: data
  })
}

// 删除轮班日志
export function delLog(id) {
  return request({
    url: '/shiftmgr/log/' + id,
    method: 'delete'
  })
}


// 删除轮班日志
export function wordView(id) {
  return request({
    url: '/shiftmgr/log/wordView/' + id,
    method: 'get'
  })
}
